#include <stdio.h>

int main()
{
    int i,n,k=0;
    long int l;
    scanf("%d%ld",&n,&l);
    long int m[n];
    for(i=1;i<n+1;i++)
       {
           scanf("%ld",&m[i]);
           if(l>=m[i])
           {
               k=i;
               printf("%d",k);
               return 0;
           }
       }
       if(k==0)
       {
           printf("-1");
           return 0;
       }
}